Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-RU-2014:0611-1: moderate: enblend-enfuse: Update to 4.1.3
openSUSE Recommended Update: enblend-enfuse: Update to 4.1.3
______________________________________________________________________________

Announcement ID: openSUSE-RU-2014:0611-1
Rating: moderate
References: #852185
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update fixes the following issues with enblend-enfuse:
- bnc#852185: Update to 4.1.3
+ Bug Fixes:
* [Enblend only] Fix problem of multiple,
almost-identical seamlines that produce inexplicable black
areas in the output panorama.
+ LCMS 2.5 is now required to build.
- Ensure only -Os is used for compilation, not -O2

- update to version 4.1.2:
+ Bug Fixes:
* lp#1214004: [Enblend and Enfuse] Fix a bug in the
highlight-recovery that caused Enfuse to bail out with the
uncaught exception "Minimizer1D::set_bracket: minimum not
bracketed".
* [Enfuse] Clean up seemingly random, bright-colored
pixels that sometimes show up when fusing images with high
contrast and "large" color profiles.
* [Enblend only] Fix a race condition in the seam-line
optimizer that can cause wrongly placed seams.
* [Enblend and Enfuse] Use a per-thread storage of all
OpenMP Vigra-functors. This avoids data races.
* [Enblend and Enfuse] The Boost implementation of the
`Mersenne Twister' random number generator caused
segmentation faults when used in the OpenMP-enabled
versions of Enblend and Enfuse. The new implementation is
based on the GNU Scientific Library (GSL), which plays
nicely with concurrent accesses.
* [Enblend only] Correct a mistake that causes
overlapping images with multiple seams to be blended
incorrectly.
* [Enblend only] Require the OpenGL extension
`GL_ARB_texture_rectangle' for the `--gpu' option to work.
This does away with a pesky warning of OpenGL drivers that
do support this extension and avoids crashes with drivers
that don't. The GPU performance improvement of Enblend via
`--gpu' now is only available with drivers that feature
`GL_ARB_texture_rectangle' (among many other required
OpenGL extensions). The OpenGL warning about odd texture
sizes is unaffected by this change.
* [Enblend and Enfuse] Fix a longstanding quirk, which
allowed to load masks that were unsuitable for processing.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-337

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

enblend-enfuse-4.1.3-3.4.1
enblend-enfuse-debuginfo-4.1.3-3.4.1
enblend-enfuse-debugsource-4.1.3-3.4.1


References:

https://bugzilla.novell.com/852185


< Previous Next >
This Thread
  • No further messages